.product {
  position: relative;
  flex: 0 0 calc(25% - 10px);
  margin: 5px;
  padding-bottom: 10px;
  background-color: #fff;
  border: 1px solid #ccc;
  &.sale::before {
    content: "SALE!";
    position: absolute;
    top: 5px;
    right: -4px;
    transform: rotate(-1deg);
    color: #fff;
    background: -webkit-linear-gradient(#12c96d, rgb(20, 221, 121), #12c96d);
    background: -o-linear-gradient(#12c96d, rgb(20, 221, 121), #12c96d);
    background: linear-gradient(#12c96d, rgb(20, 221, 121), #12c96d);
    box-shadow: 0 0 1px #ccc, inset 0 0 5px rgb(163, 163, 163);
    text-align: center;
    padding: 5px 10px;
  }

  &:hover > img,
  &:hover > button {
    opacity: 0.7;
    transition: opacity 250ms;
  }
  &:hover > button {
    display: block;
  }
  > button {
    display: none;
    position: absolute;
    right: 5px;
    bottom: 110px;
    padding: 5px 15px;
    background-color: #12c96d;
    color: #fff;
    border: none;
    cursor: pointer;
  }
  > button:hover {
    opacity: 1;
  }

  div {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: none;

    h4 {
      text-align: center;
      padding: 5px 0;
      font-size: 1rem;
    }

    strong {
      font-size: 1rem;
      text-align: center;
      padding: 5px 0;
      font-weight: bold;
    }

    strong > span {
      color: #ccc;
      text-decoration: line-through;
      font-weight: normal;
    }

    button {
      width: 150px;
      padding: 7px 0;
      background-color: #12c96d;
      color: #fff;
      border: none;
      cursor: pointer;
    }
  }

  @media (max-width: 680px) {
    flex: 0 0 calc(33.33% - 10px);
  }

  @media (max-width: 535px) {
    flex: 0 0 calc(50% - 10px);
  }

  @media (max-width: 460px) {
    flex: 1 0 calc(100% - 10px);
  }
}
